<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.member.base.mapper.CuMemberHistroyAwardsMapper">

    <!-- 获取历史最高奖衔 -->
    <select id="getOldAwards" resultType="com.hzs.common.domain.member.ext.CuMemberHistroyAwardsExt">
        select cmha.*, bha.awards_name, bha.image
        from CU_MEMBER_HISTROY_AWARDS cmha
                 left join BD_HISTROY_AWARDS bha
                           on bha.pk_id = cmha.pk_awards
        where cmha.pk_member = #{pkMember}
    </select>

</mapper>
